NAME
OpenAPI::Client::OpenAI::Path::chatkit-threads-thread_id - Documentation for the /chatkit/threads/{thread_id} path.
OPERATIONS
DELETE /chatkit/threads/{thread_id}
DeleteThreadMethod
$client->delete_thread_method({
body => { ... },
});
Delete a ChatKit thread along with its items and stored attachments.
Path/query parameters
thread_id(in path, required, string) - Identifier of the ChatKit thread to delete.
Responses
200 - Success
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "chatkit.thread.deleted"
}
GET /chatkit/threads/{thread_id}
GetThreadMethod
$client->get_thread_method({
body => { ... },
});
Retrieve a ChatKit thread by its identifier.
Path/query parameters
thread_id(in path, required, string) - Identifier of the ChatKit thread to retrieve.
Responses
200 - Success
Content-Type: application/json
Example:
{
"created_at" : 1712345600,
"id" : "cthr_def456",
"object" : "chatkit.thread",
"status" : {
"type" : "active"
},
"title" : "Demo feedback",
"user" : "user_456"
}
SCHEMAS
DeletedThreadResource
Properties:
deleted(boolean, required) - Indicates that the thread has been deleted.id(string, required) - Identifier of the deleted thread.object(string, required) - Type discriminator that is alwayschatkit.thread.deleted.Allowed values: chatkit.thread.deleted
Default: chatkit.thread.deleted
ThreadResource
Properties:
created_at(integer, required) - Unix timestamp (in seconds) for when the thread was created.id(string, required) - Identifier of the thread.object(string, required) - Type discriminator that is alwayschatkit.thread.Allowed values: chatkit.thread
Default: chatkit.thread
status(oneOf, required) - Current status for the thread. Defaults toactivefor newly created threads.title(anyOf, required)user(string, required) - Free-form string that identifies your end user who owns the thread.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.